FROM python:3.9

RUN bash -c "apt-get update"
## Initializing the nginx
RUN bash -c "apt-get -y install nginx"

COPY "deploy/nginx.conf" "/etc/nginx/nginx.conf"
COPY "." "./code"

WORKDIR "/code"


RUN bash -c "pip install -r requirements.txt"
run bash -c "ls -la"
RUN bash -c "python manage.py collectstatic --noinput"

CMD ["sh", "deploy/run.sh"]

EXPOSE 80